#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-Net-HTTP
Version		:	6.19
Release		:	17.0.10.rel%{?dist}
Summary		:	Low-level HTTP over SSL/TLS connection (client)

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::HomeDir

Source0		:	%{sname}-%{version}.tar.gz

BuildArch	:	noarch

#-----------------------------------------------------------------------------
BuildRequires	:	perl

Requires	:	perl

#-----------------------------------------------------------------------------
%description
The Net::HTTPS is a low-level HTTP over SSL/TLS client.
The interface is the same as the interface for Net::HTTP,
but the constructor takes additional parameters as
accepted by IO::Socket::SSL. The Net::HTTPS object is an
IO::Socket::SSL too, which makes it inherit additional
methods from that base class.

For historical reasons this module also supports using
Net::SSL (from the Crypt-SSLeay distribution) as its
SSL driver and base class. This base is automatically
selected if available and IO::Socket::SSL isn't.
You might also force which implementation to use by
setting $Net::HTTPS::SSL_SOCKET_CLASS before loading
this module. If not set this variable is initialized
from the PERL_NET_HTTPS_SSL_SOCKET_CLASS environment
variable.
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README.md
%{_datadir}/perl5/core_perl/Net/HTTP.pm
%{_datadir}/perl5/core_perl/Net/HTTP/*.pm
%{_datadir}/perl5/core_perl/Net/HTTPS.pm
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
